Get file ingestion options
curl --request GET \
--url https://api.example.com/api/dataingest/file_ingestion_options \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/dataingest/file_ingestion_options"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/dataingest/file_ingestion_options', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"file_options": [
"<unknown>"
]
}{
"error": "<string>",
"code": 500
}Data ingestion
Get file ingestion options
Retrieves the available file format and their corresponding options for file-based data ingestion.
GET
/
api
/
dataingest
/
file_ingestion_options
Get file ingestion options
Authorizations
OAuth2AuthorizationCodeBearerAPIKeyHeader
The access token received from the authorization server in the OAuth 2.0 flow.
Response
Data retrieved successfully.
List of available file formats and their corresponding ingestion options.
Was this page helpful?
⌘I

